%define module blessings

Name:           python-%{module}
Version:        1.6
Release:        %mkrel 3
Summary:        Python library for terminal coloring, styling, and positioning
Group:          Development/Python
License:        MIT
URL:            https://github.com/erikrose/blessings
Source0:        http://pypi.python.org/packages/source/b/blessings/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

%description
Blessings is a thin, practical wrapper around terminal coloring, styling, and
positioning in Python.

%package -n python3-%{module}
Summary:        Python library for terminal coloring, styling, and positioning

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description -n python3-%{module}
Blessings is a thin, practical wrapper around terminal coloring, styling, and
positioning in Python.

%prep
%setup -q -n %{module}-%{version}

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%files
%doc README.rst LICENSE
%{python_sitelib}/%{module}
%{python_sitelib}/%{module}*.egg-info

%files -n python3-%{module}
%doc README.rst LICENSE
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}*.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.6-3.mga6
+ Revision: 970799
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 1.6-2.mga6
+ Revision: 888414
- Rebuild for new python3 (3.5.x)

* Mon Jun 22 2015 akien <akien> 1.6-1.mga6
+ Revision: 839539
- imported package python-blessings

